Package org.apache.lucene.analysis.ja

## Class JapaneseAnalyzer

- java.lang.Object
- - org.apache.lucene.analysis.Analyzer
  - - org.apache.lucene.analysis.StopwordAnalyzerBase
    - - org.apache.lucene.analysis.ja.JapaneseAnalyzer

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`

      public class JapaneseAnalyzer
      extends StopwordAnalyzerBase

  Analyzer for Japanese that uses morphological analysis.
  Since:
    3.6.0
  See Also:
    `JapaneseTokenizer`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer

      `Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.StopwordAnalyzerBase

      `stopwords`

    - ### Fields inherited from class org.apache.lucene.analysis.Analyzer

      `GLOBAL_REUSE_STRATEGY, PER_FIELD_REUSE_STRATEGY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JapaneseAnalyzer()` |
    `JapaneseAnalyzer​(UserDictionary userDict, JapaneseTokenizer.Mode mode, CharArraySet stopwords, Set<String> stoptags)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Analyzer.TokenStreamComponents` | `createComponents​(String fieldName)` |
    `static CharArraySet` | `getDefaultStopSet()` |
    `static Set<String>` | `getDefaultStopTags()` |
    `protected Reader` | `initReader​(String fieldName, Reader reader)` |
    `protected Reader` | `initReaderForNormalization​(String fieldName, Reader reader)` |
    `protected TokenStream` | `normalize​(String fieldName, TokenStream in)` |

    - ### Methods inherited from class org.apache.lucene.analysis.StopwordAnalyzerBase

      `getStopwordSet, loadStopwordSet, loadStopwordSet, loadStopwordSet`

    - ### Methods inherited from class org.apache.lucene.analysis.Analyzer

      `attributeFactory, close, getOffsetGap, getPositionIncrementGap, getReuseStrategy, normalize, tokenStream, tokenStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JapaneseAnalyzer

          public JapaneseAnalyzer()

    - #### JapaneseAnalyzer

          public JapaneseAnalyzer​(UserDictionary userDict,
                                  JapaneseTokenizer.Mode mode,
                                  CharArraySet stopwords,
                                  Set<String> stoptags)

  - ### Method Detail

    - #### getDefaultStopSet

          public static CharArraySet getDefaultStopSet()

    - #### getDefaultStopTags

          public static Set<String> getDefaultStopTags()

    - #### createComponents

          protected Analyzer.TokenStreamComponents createComponents​(String fieldName)

      Specified by:
        `createComponents` in class `Analyzer`

    - #### normalize

          protected TokenStream normalize​(String fieldName,
                                          TokenStream in)

      Overrides:
        `normalize` in class `Analyzer`

    - #### initReader

          protected Reader initReader​(String fieldName,
                                      Reader reader)

      Overrides:
        `initReader` in class `Analyzer`

    - #### initReaderForNormalization

          protected Reader initReaderForNormalization​(String fieldName,
                                                      Reader reader)

      Overrides:
        `initReaderForNormalization` in class `Analyzer`